# Draw
TKTopTest
BOPTest

# BOPTest_DrawableShape Class Reference

`#include <BOPTest_DrawableShape.hxx>`

Inheritance diagram for BOPTest_DrawableShape:

[legend]

## Public Member Functions

Standard_EXPORT | BOPTest_DrawableShape (const TopoDS_Shape &S, const Draw_Color &FreeCol, const Draw_Color &ConnCol, const Draw_Color &EdgeCol, const Draw_Color &IsosCol, const Standard_Real size, const Standard_Integer nbisos, const Standard_Integer discret, const Standard_CString Text, const Draw_Color &TextColor)
Standard_EXPORT | BOPTest_DrawableShape (const TopoDS_Shape &S, const Standard_CString Text, const Draw_Color &TextColor)
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT gp_Pnt | Pnt () const

## Private Attributes

Handle_Draw_Text3D | myText
Draw_Color | myTextColor

## Constructor & Destructor Documentation

Standard_EXPORT BOPTest_DrawableShape::BOPTest_DrawableShape | ( | const TopoDS_Shape & | S,
|  | const Draw_Color & | FreeCol,
|  | const Draw_Color & | ConnCol,
|  | const Draw_Color & | EdgeCol,
|  | const Draw_Color & | IsosCol,
|  | const Standard_Real | size,
|  | const Standard_Integer | nbisos,
|  | const Standard_Integer | discret,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor
| ) |

Standard_EXPORT BOPTest_DrawableShape::BOPTest_DrawableShape | ( | const TopoDS_Shape & | S,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor
| ) |

## Member Function Documentation

virtual Standard_EXPORT void BOPTest_DrawableShape::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from DBRep_DrawableShape.

Standard_EXPORT const BOPTest_DrawableShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DBRep_DrawableShape.

Standard_EXPORT gp_Pnt BOPTest_DrawableShape::Pnt | ( |  | ) | const`[private]`

## Field Documentation

Handle_Draw_Text3D BOPTest_DrawableShape::myText `[private]`

Draw_Color BOPTest_DrawableShape::myTextColor `[private]`

The documentation for this class was generated from the following file:

- BOPTest_DrawableShape.hxx